# task_get_result.cpp File Reference

`#include <saga/saga/cpr.hpp>`
`#include <saga/saga/adaptors/task.hpp>`
`#include <saga/saga/detail/task_get_result_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::detail
## Classes
struct | saga::detail::disable_reconvert< saga::job::state >
struct | saga::detail::disable_reconvert< saga::job::ostream >
struct | saga::detail::disable_reconvert< saga::job::istream >
## Functions
template saga::cpr::job & | saga::task::get_result< saga::cpr::job > ()
template saga::cpr::checkpoint & | saga::task::get_result< saga::cpr::checkpoint > ()
template saga::cpr::directory & | saga::task::get_result< saga::cpr::directory > ()
template saga::cpr::description & | saga::task::get_result< saga::cpr::description > ()
template saga::cpr::self & | saga::task::get_result< saga::cpr::self > ()
template saga::cpr::service & | saga::task::get_result< saga::cpr::service > ()